sayren Docs
상품

상품 옵션 조회

GET
/v1/products/{productId}/options

Authorization

accessToken
headerAuthorizationBearer <token>

Sayren 계정 토큰(로그인 토큰 또는 개인 액세스 토큰, RFC 9068 JWT)

Path Parameters

productId*string

Header Parameters

X-Store-Id*string

대상 상점 id. 토큰의 상점 범위 밖이면 403 STORE_NOT_GRANTED, 없으면 400 STORE_ID_REQUIRED다

Response Body

성공

application/json
  1. response
meta*
data*
error*|null
curl -X GET 'https://api.sayren.io/v1/products/string/options' \  -H 'X-Store-Id: string'
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": {    "optionGroups": [      {        "groupId": "string",        "name": "string",        "sortOrder": 0,        "values": [          {            "valueId": "string",            "name": "string",            "sortOrder": 0          }        ]      }    ],    "variants": [      {        "variantId": "string",        "variantNo": null,        "valueIds": [          "string"        ],        "name": "string",        "additionalPrice": 0,        "stockQuantity": 0,        "sku": "string",        "barcode": "string",        "costPrice": 0,        "weightGram": 0,        "sellerCode": "string",        "usable": true,        "attributes": {          "property1": "string",          "property2": "string"        },        "hasOrders": true      }    ],    "addonGroups": [],    "customInputs": [],    "optionSort": "REGISTERED"  },  "error": null}